{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.sway.mako;
in {
  options.myConfig.sway.mako = {
    enable = lib.mkEnableOption "mako, a notification deamon";
  };

  config = lib.mkIf cfg.enable {
    services.mako = {
      enable = true;
      settings = {
        actions = true;
        anchor = "top-right";

        border-radius = 10;
        border-size = 2;
        height = 100;
        width = 400;

        default-timeout = 10000; # ms
        font = "FiraCode Nerd Font 11";
        icons = true;
        markup = true;
      };
    };
  };
}
